@import url('https://fonts.googleapis.com/css2?family=Poppins&display=swap');

/* #region [ Base ] */

:root {
  --primary-color-light: #ffd2d5;
  --primary-color-dark: #dd5448;

  --primary-white: #edecec;
  --primary-dark: #333333;
  --secondary-white: #eeeeee;
  --secondary-dark: #21201f;
}

* {
  font-family: 'Poppins', sans-serif;
}

option:hover {
  background-color: var(--primary-color-dark) !important;
  color: #ffffff;
}

/* #endregion */

/* #region [ Datatables Reset ] */

table td.dt-body-center {
  vertical-align: middle;
}

.dataTables_processing > div > * {
  background-color: var(--primary-color-dark) !important;
}

/* #endregion */

/* #region [ Autocomplete Reset ] */

.autocomplete-result .text-info {
  color: var(--primary-color-dark) !important;
}

.autocomplete-result:hover,
.autocomplete-result:active,
.autocomplete-result:focus,
.autocomplete-result:visited {
  color: var(--primary-color-dark) !important;
}

/* #endregion */

/* #region [ Tempus Dominus Reset ] */

.tempus-dominus-widget.dark {
  background-color: var(--primary-dark);
}

.tempus-dominus-widget.dark
  .date-container-days
  div:not(.no-highlight).today:before {
  border-bottom-color: var(--primary-color-dark) !important;
}

.tempus-dominus-widget.dark .date-container-days div:not(.no-highlight).active {
  background-color: var(--primary-color-dark) !important;
}

.tempus-dominus-widget.dark button {
  background-color: var(--primary-color-dark) !important;
  border-color: var(--primary-color-dark) !important;
}

/* #endregion */

/* #region [ Bootstrap Reset ] */

.navbar-toggler,
.navbar-toggler:focus,
.navbar-toggler:active,
.navbar-toggler-icon:focus {
  border: none !important;
  outline: none !important;
  box-shadow: none !important;
}

.navbar-toggler-icon {
  background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 32 32' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='rgba(255,255,255, 1)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 8h24M4 16h24M4 24h24'/%3E%3C/svg%3E") !important;
}

.form-control::placeholder {
  color: var(--secondary-dark) !important;
  opacity: 0.3 !important;
  font-style: italic !important;
}

.form-control,
.form-select {
  border-bottom: var(--primary-color-dark) 3px solid !important;
  background-color: #f5f5f5 !important;
  border-left: transparent 3px solid !important;
  border-right: transparent 3px solid !important;
  border-top: transparent 3px solid !important;
  border-top-left-radius: 10px !important;
  border-top-right-radius: 10px !important;
  transition: 0.3s !important;
  letter-spacing: 1px;
}

.form-control:disabled,
.form-select:disabled,
.form-control:read-only,
.form-select:read-only:not(select) {
  border-bottom: #3333337f 3px solid !important;
  background-color: var(--primary-white) !important;
  border-bottom-left-radius: 10px !important;
  border-bottom-right-radius: 10px !important;
}

.form-control:focus,
.form-select:focus {
  border: var(--primary-color-dark) 3px solid !important;
  border-radius: 10px !important;
}

.input-group.right-label .form-control,
.input-group.right-label .form-select {
  border-top: #f5f5f5 3px solid !important;
  border-right: #f5f5f5 3px solid !important;
  border-bottom: var(--primary-color-dark) 3px solid !important;
  background-color: #f5f5f5 !important;
  border-top-left-radius: 10px !important;
  border-bottom-left-radius: 10px !important;
  border-top-right-radius: 0 !important;
  transition: 0.3s !important;
  letter-spacing: 1px;
}

.input-group.right-label .input-group-text {
  background-color: #f5f5f5 !important;
  border: #f5f5f5 3px solid !important;
  padding: 6px;
}

.input-group.right-label .form-control:focus,
.input-group.right-label .form-select:focus {
  border: var(--primary-color-dark) 3px solid !important;
  border-top-left-radius: 10px !important;
  border-bottom-left-radius: 10px !important;
  border-top-right-radius: 0 !important;
  border-bottom-right-radius: 0 !important;
}

.accordion-button:focus,
.alert-dismissible .btn-close:focus,
.form-check .form-check-input:focus,
.form-control:focus,
.form-select:focus,
.form-control .is-valid,
.form-control .is-invalid,
.btn-close,
.btn,
.page-link:focus {
  box-shadow: none !important;
}

.form-check-input:checked,
.form-switch .form-check-input:focus {
  background-color: var(--primary-color-dark) !important;
  border-color: var(--primary-color-dark) !important;
}

.form-check-input:focus {
  border-color: var(--primary-color-dark) !important;
}

.nav-item.dropdown .dropdown-item:active,
.progress-bar {
  background-color: var(--primary-color-dark) !important;
}

.progress {
  height: 10px !important;
}

.page-link {
  color: #000000 !important;
}

.page-item.active .page-link {
  border-color: var(--primary-color-light) !important;
  background-color: var(--primary-color-dark) !important;
  color: #ffffff !important;
}

.custom-tooltip {
  --bs-tooltip-bg: var(--primary-dark) !important;
}

/* #endregion */

/* #region [ Bootstrap Custom ] */

.btn-doh {
  background: linear-gradient(#0000, rgb(0 0 0/40%)) top/100% 800%;
  background-color: var(--primary-color-dark) !important;
  color: #ffffff !important;
  border-radius: 10px !important;
  transition: 0.3s !important;
  letter-spacing: 1px;
}

.btn-doh:hover,
.btn-doh:active {
  background-position: bottom;
}

.btn-doh-dark {
  background: linear-gradient(#0000, rgb(0 0 0/40%)) top/100% 800%;
  background-color: var(--primary-dark) !important;
  color: #ffffff !important;
  border-radius: 10px !important;
  transition: 0.3s !important;
  letter-spacing: 1.5px;
}

.btn-doh-dark:hover,
.btn-doh-dark:active {
  background-position: bottom;
}

.bg-doh {
  background-color: var(--primary-color-dark) !important;
}

.bg-doh-light {
  background-color: var(--primary-color-light) !important;
}

.bg-doh-white {
  background-color: var(--primary-white) !important;
}

.text-doh {
  color: var(--primary-color-dark) !important;
}

.text-doh-underline:hover {
  text-decoration: underline !important;
  text-decoration-color: var(--primary-color-dark) !important;
  text-underline-offset: 0.5em !important;
  text-decoration-thickness: 2px !important;
}

.notif-alert-bottom {
  z-index: 4;
  position: fixed;
  margin-right: auto;
  margin-left: auto;
  left: 50%;
  bottom: 10px;
  transform: translate(-50%, 0);
}

.notif-alert-bottom .alert {
  max-width: 50vw;
  background-color: var(--primary-dark);
  color: #ffffff;
  border-radius: 22px;
  box-shadow: rgba(0, 0, 0, 0.09) 0px 3px 12px;
}

/* #endregion */

/* #region [ Pages ] */

.footer {
  background-color: var(--primary-dark);
  color: #ffffff;
}

.footer img,
.navbar-brand img {
  height: 8vh;
  width: auto;
  margin-right: 12px;
  background-color: #ffffff;
}

.footer .social-icons {
  font-size: 14px;
  padding: 12px;
  border-radius: 100%;
  color: var(--primary-color-dark);
  background: var(--primary-white);
}

/* #endregion */

/* #region [ Dashboard ] */

#dashboard-main .col-3 {
  margin: 10px 0;
  border-radius: 12px;
  margin-left: -5px;
}

.dashboard-card .col-md-4 {
  position: relative;
}

.dashboard-cards {
  margin: 5px 0;
  padding: 20px 10px;
  height: 100px;
  border-radius: 16px;
}

.dashboard-cards.admin {
  background-color: var(--secondary-dark);
  color: #ffffff;
}

.dashboard-cards.admin i {
  color: var(--primary-color-dark);
}

.dashboard-cards.user {
  background-color: var(--primary-color-dark);
  color: #ffffff;
}

.dashboard-cards.user i {
  color: var(--secondary-dark);
}

.dashboard-cards.admin .dashboard-card-note {
  background-color: var(--primary-color-dark);
  color: #ffffff;
}

.dashboard-cards.user .dashboard-card-note {
  background-color: var(--secondary-dark);
  color: #ffffff;
}

.dashboard-cards i {
  margin-top: 10px;
  margin-left: 4px;
  font-size: 2.5em;
  opacity: 0.7;
  transition: color 0.2s ease;
}

.dashboard-cards:hover i {
  color: #ffffff;
}

.dashboard-cards .dashboard-card-note {
  position: absolute;
  right: 35px;
  top: 20px;
  font-size: 18px;
  opacity: 0.8;
  display: block;
  border-radius: 30px;
  padding: 2px 4px;
}

.dashboard-cards .dashboard-card-title {
  position: absolute;
  right: 35px;
  top: 65px;
  display: block;
  font-size: 16px;
  opacity: 0.9;
  text-shadow: 1.5px 1.5px 0px rgba(0, 0, 0, 0.2);
}

/* #endregion */

/* #region [ Other ] */

.signin-form {
  height: 80vh;
  width: 70%;
  border-radius: 55px;
}

.signin-form .col-7 {
  background: var(--primary-color-dark);
  border-top-left-radius: 55px;
  border-bottom-left-radius: 55px;
  border-right: var(--primary-white) 10px solid;
  box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
}

.signin-form .col-7 img {
  height: auto;
  width: 75%;
}

.signin-form .col-5 {
  border-top-right-radius: 55px;
  border-bottom-right-radius: 55px;
  box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
}

.signin-form .col-5 img {
  height: 12vh;
  width: auto;
}

.requestaccess-form {
  height: 85vh;
  width: 70%;
  border-radius: 55px;
}

.requestaccess-form .col-7 {
  border-top-left-radius: 55px;
  border-bottom-left-radius: 55px;
  box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
}

.requestaccess-form .col-5 {
  background: var(--primary-color-light);
  border-top-right-radius: 55px;
  border-bottom-right-radius: 55px;
  box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
  overflow: hidden;
  position: relative;
}

.requestaccess-form .col-5 #welcome {
  position: absolute;
  top: 4vh;
  right: 0;
  padding: 14px 0;
  width: 85%;
  border-top-left-radius: 50px;
  border-bottom-left-radius: 50px;
  font-size: 1.625rem;
  letter-spacing: 2px;
}

.requestaccess-form .col-5 #msg {
  position: absolute;
  top: 17vh;
  left: 0;
  padding: 0 25px;
  opacity: 0.7;
  font-size: 0.875rem;
  line-height: 20px;
}

.requestaccess-form .col-5 img {
  height: 54vh;
  width: auto;
  position: absolute;
  bottom: 0;
  right: 0;
}

.password_validation,
.password_match {
  display: none;
}

@media screen and (max-width: 1244px) {
  .requestaccess-form {
    height: 100%;
    padding: 20px 0;
  }

  .requestaccess-form .col-7 {
    padding: 20px 0;
  }

  .signin-form .col-7,
  .requestaccess-form .col-5 {
    display: none !important;
  }

  .signin-form,
  .signin-form .col-5,
  .requestaccess-form,
  .requestaccess-form .col-7 {
    width: 90vw;
    border-radius: 25px;
  }
}

/* #endregion */

/* #region [ Heatmap ] */

#heatmap-container {
  height: 69vh;
  width: 100%;
  margin-left: auto;
  margin-right: auto;
}

#heatmap-canvas {
  display: block;
  height: 100%;
  width: 100%;
  margin: 0 auto;
  padding: 10px;
}

#heatmap-canvas:hover {
  cursor: move;
}

#heatmap-canvas path:hover {
  cursor: pointer;
  fill: var(--primary-dark);
}

.zoombtn {
  font-size: 30px;
}

/* #endregion */

/* #region [ Report ] */

.step {
  display: none;
}

.visual_acuity {
  display: flex;
  flex-direction: row;
}

.visual_acuity:before,
.visual_acuity:after {
  content: '';
  flex: 1 1;
  margin: auto;
}

.visual_acuity_step {
  width: 90%;
}

.report-textarea {
  background-attachment: local;
  background-image: linear-gradient(to right, #f5f5f5, #f5f5f5 0, transparent 0),
    linear-gradient(to left, #f5f5f5, #f5f5f5 0, transparent 0),
    repeating-linear-gradient(
      #f5f5f5,
      #f5f5f5 30.4px,
      #000000 30.4px,
      #000000 32px
    );
  line-height: 32px !important;
  padding: 5.33px 12px !important;
  height: 131px !important;
  resize: none;
  overflow: hidden;
}

.report-measurements {
  max-width: 100px;
}

/* #endregion */

/* #region [ Chart ] */

.chart {
  padding: 10px;
  margin: 0 auto;
}

/* #endregion */
